Subject: Re: bug#39905: Why does parted change ownerships of devices?

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 4 Mar 2020 09:32:38 -0800

On Wed, Mar 04, 2020 at 04:01:51PM +0100, Guillaume Abrioux wrote:
> Hello,
> 
> We use parted in ceph-ansible playbook [1] to retrieve some devices
> information, the parted ansible module runs a parted/print command [2], but
> we are facing an issue where ownerships get modified after that.
> 
> Doing the test manually without ansible context shows it's parted itself
> which apply this change:

No, parted doesn't do anything to ownership or permissions. My guess is
that udev is doing something when the device is opened/closed. How does
ceph set the ownership?

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart